#include "chdecl.h"
void CH_codegen_bbassemble(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c10;
    case 4: goto c105;
    case 5: goto c131;
    case 6: goto c154;
    case 7: goto c165;
    case 8: goto c183;
    case 9: goto c230;
    case 10: goto c263;
    case 11: goto c273;
    case 12: goto c274;
    case 13: goto c285;
    case 14: goto c291;
    case 15: goto c302;
    case 16: goto c311;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_table 4 , 2 */
  if ((ch_returncode = che_new_table(DEF(4),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* copy 6 3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = datarepmap[REF(3)DOT(0)DOT(1).tsdr->number];
/* unite 7 6 , 0 */
  if ((ch_returncode = che_unite(DEF(7),DEF(6),sched,0)) != Normal)
     goto ch_raise_exception;
/* copy 8 3.0.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
/* initget 9 8 , 0,0 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(9),DEF(8),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c10:
/* get_or_goto 9 8 , 81 */
  if ((ch_returncode = get_selected_object(DEF(9),DEF(8),sched)) != Normal)
     goto c81;
/* case 10 7 */
  REF(10).value.enumeration = REF(7).value.variant->info.variant_case;
  REF(10).tsdr = & dr_enumeration;
/* equal . 10 =(5) , 71 */
  if ( REF(10).value.enumeration == 5 ) goto c71;
/* equal . 10 =(4) , 28 */
  if ( REF(10).value.enumeration == 4 ) goto c28;
/* equal . 10 =(2) , 39 */
  if ( REF(10).value.enumeration == 2 ) goto c39;
/* equal . 10 =(3) , 46 */
  if ( REF(10).value.enumeration == 3 ) goto c46;
/* equal . 10 =(1) , 53 */
  if ( REF(10).value.enumeration == 1 ) goto c53;
/* equal . 10 =(0) , 62 */
  if ( REF(10).value.enumeration == 0 ) goto c62;
/* branch , 69 */
   goto c69;
c28:
/* reveal 7 , 4 */
  if (4 != REF(7).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 9 7.0.2 , 35 */
  if ( !(REF(9).tsdr->equal)(REF(9).value,REF(7)DOT(0)DOT(2).value) ) goto c35;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c35:
/* noop */
  
/* iadd 5 5 =(2) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,2)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c39:
/* reveal 7 , 2 */
  if (2 != REF(7).value.variant->info.variant_case) goto ch_case_error;
/* equal . 9 7.0.1 , 71 */
  if ( (REF(9).tsdr->equal)(REF(9).value,REF(7)DOT(0)DOT(1).value) ) goto c71;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c46:
/* reveal 7 , 3 */
  if (3 != REF(7).value.variant->info.variant_case) goto ch_case_error;
/* equal . 9 7.0.1 , 71 */
  if ( (REF(9).tsdr->equal)(REF(9).value,REF(7)DOT(0)DOT(1).value) ) goto c71;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c53:
/* reveal 7 , 1 */
  if (1 != REF(7).value.variant->info.variant_case) goto ch_case_error;
/* notequal 11 9 7.0.0 */
  REF(11).value.boolean = (!(REF(9).tsdr->equal)(REF(9).value,
    REF(7)DOT(0)DOT(0).value));
  REF(11).tsdr = & dr_boolean;
/* notequal 12 9 7.0.1 */
  REF(12).value.boolean = (!(REF(9).tsdr->equal)(REF(9).value,
    REF(7)DOT(0)DOT(1).value));
  REF(12).tsdr = & dr_boolean;
/* and 13 11 12 */
  REF(13).value.boolean = REF(11).value.boolean&REF(12).value.boolean;
  REF(13).tsdr = & dr_boolean;
/* branch_false 13 , 71 */
  if ( !REF(13).value.boolean ) goto c71;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c62:
/* reveal 7 , 0 */
  if (0 != REF(7).value.variant->info.variant_case) goto ch_case_error;
/* equal . 9 7.0 , 71 */
  if ( (REF(9).tsdr->equal)(REF(9).value,REF(7)DOT(0).value) ) goto c71;
/* iadd 5 5 =(1) */
  if (!chf_iadd(DEF(5),REF(5).value.integer,1)) goto ch_depletion;
/* branch , 71 */
   goto c71;
c69:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c71:
/* new_record 14 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val; REF(14).tsdr = & dr_record;
/* copy 14.0 9 */
  if((ch_returncode = (REF(9).tsdr->copy)(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14)DOT(0).tsdr)->finalize)(REF(14)DOT(0).value,F_DISCARD,sched);
  REF(14)DOT(0).value = ch_val;
  REF(14)DOT(0).tsdr = datarepmap[REF(9).tsdr->number];
/* copy 14.1 5 */
  REF(14)DOT(1) = REF(5);
/* insert 4 14 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* find 15 3.0.0 9 , 0 */
  if (findfunc(DEF(15),DEF(3)DOT(0)DOT(0),(
          arguments[0] = DEF(9),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* size 16 15.1 */
  REF(16).value.integer = REF(15)DOT(1).value.table->size;
  REF(16).tsdr = & dr_integer;
/* iadd 5 5 16 */
  if (!chf_iadd(DEF(5),REF(5).value.integer,REF(16).value.integer))
     goto ch_depletion;
/* copy 7 15.2 */
  if((ch_returncode = cp_variant(& ch_val, REF(15)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = & dr_variant;
/* branch , 10 */
   goto c10;
c81:
/* endget 9 8 */
  end_selector(DEF(9),DEF(8),sched,GET);
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* new_table 3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 17 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_record;
/* enum_lit 17.0 , 109 */
  REF(17)DOT(0).value.enumeration = 109;
  REF(17)DOT(0).tsdr = & dr_enumeration;
/* new_table 17.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(17)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* enum_lit 18.0 , 111 */
  REF(18)DOT(0).value.enumeration = 111;
  REF(18)DOT(0).tsdr = & dr_enumeration;
/* new_table 18.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 19 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val; REF(19).tsdr = & dr_record;
/* enum_lit 19.0 , 110 */
  REF(19)DOT(0).value.enumeration = 110;
  REF(19)DOT(0).tsdr = & dr_enumeration;
/* new_table 19.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(19)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 20 3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(3)DOT(0)DOT(1).tsdr->number];
/* unite 21 20 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(20),sched,0)) != Normal)
     goto ch_raise_exception;
/* unique 22 */
  if ((ch_returncode = che_unique(DEF(22),sched)) != Normal)
     goto ch_raise_exception;
/* copy 23 22 */
  if((ch_returncode = cp_nominal(& ch_val, REF(22).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_nominal;
/* insert 3.0.2 23 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(0)DOT(2),DEF(23)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 24 3.0.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).value = ch_val;
  REF(24).tsdr = & dr_table;
/* initget 25 24 , 0,0 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(25),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c105:
/* get_or_goto 25 24 , 285 */
  if ((ch_returncode = get_selected_object(DEF(25),DEF(24),sched)) != Normal)
     goto c285;
/* case 26 21 */
  REF(26).value.enumeration = REF(21).value.variant->info.variant_case;
  REF(26).tsdr = & dr_enumeration;
/* equal . 26 =(5) , 274 */
  if ( REF(26).value.enumeration == 5 ) goto c274;
/* equal . 26 =(4) , 123 */
  if ( REF(26).value.enumeration == 4 ) goto c123;
/* equal . 26 =(3) , 154 */
  if ( REF(26).value.enumeration == 3 ) goto c154;
/* equal . 26 =(2) , 183 */
  if ( REF(26).value.enumeration == 2 ) goto c183;
/* equal . 26 =(1) , 230 */
  if ( REF(26).value.enumeration == 1 ) goto c230;
/* equal . 26 =(0) , 263 */
  if ( REF(26).value.enumeration == 0 ) goto c263;
/* branch , 273 */
   goto c273;
c123:
/* reveal 21 , 4 */
  if (4 != REF(21).value.variant->info.variant_case) goto ch_case_error;
/* new_record 27 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val; REF(27).tsdr = & dr_record;
/* enum_lit 27.0 , 104 */
  REF(27)DOT(0).value.enumeration = 104;
  REF(27)DOT(0).tsdr = & dr_enumeration;
/* new_table 27.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(27)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 28 , 2 */
  if ((ch_returncode = che_new_table(DEF(28),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 29 21.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(21)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_table;
/* initget 30 29 , 0,0 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(30),DEF(29),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c131:
/* get_or_goto 30 29 , 140 */
  if ((ch_returncode = get_selected_object(DEF(30),DEF(29),sched)) != Normal)
     goto c140;
/* new_record 31 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val; REF(31).tsdr = & dr_record;
/* copy 31.0 30 */
  if((ch_returncode = (REF(30).tsdr->copy)(& ch_val, REF(30).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(31)DOT(0).tsdr)->finalize)(REF(31)DOT(0).value,F_DISCARD,sched);
  REF(31)DOT(0).value = ch_val;
  REF(31)DOT(0).tsdr = datarepmap[REF(30).tsdr->number];
/* position 32 30 */
  ch_frame = get_selector_frame(DEF(30),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(32).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(32).tsdr = &dr_integer;
/* lookup_at 33 21.0.1 32 */
  if((ch_i = REF(32).value.integer) < 0 || ch_i >= (ch_t = 
    REF(21)DOT(0)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(33).value,ch_i);
  REF(33).tsdr = qdatarepmap[ch_t->tsdr->number];
/* find 34 4 33 , 0 */
  if (findfunc(DEF(34),DEF(4),(
          arguments[0] = DEF(33),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 31.1 34.1 */
  if((ch_returncode = (REF(34)DOT(1).tsdr->copy)(& ch_val, REF(34)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(31)DOT(1).tsdr)->finalize)(REF(31)DOT(1).value,F_DISCARD,sched);
  REF(31)DOT(1).value = ch_val;
  REF(31)DOT(1).tsdr = datarepmap[REF(34)DOT(1).tsdr->number];
/* insert 28 31 */
  if ((ch_returncode = insertfunc(DEF(28),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 131 */
   goto c131;
c140:
/* endget 30 29 */
  end_selector(DEF(30),DEF(29),sched,GET);
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* unite 27.2 28 , 9 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(28),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 25 21.0.2 , 274 */
  if ( eq_nominal(REF(25).value,REF(21)DOT(0)DOT(2).value) ) goto c274;
/* copy 27 17 */
  if((ch_returncode = cp_record(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* find 35 4 21.0.2 , 0 */
  if (findfunc(DEF(35),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 36 35.1 */
  if((ch_returncode = (REF(35)DOT(1).tsdr->copy)(& ch_val, REF(35)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = datarepmap[REF(35)DOT(1).tsdr->number];
/* unite 27.2 36 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(36),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 274 */
   goto c274;
c154:
/* reveal 21 , 3 */
  if (3 != REF(21).value.variant->info.variant_case) goto ch_case_error;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* size 37 3.1 */
  REF(37).value.integer = REF(3)DOT(1).value.table->size;
  REF(37).tsdr = & dr_integer;
/* isubtract 38 37 =(1) */
  if (!chf_isubtract(DEF(38),REF(37).value.integer,1)) goto ch_depletion;
/* lookup_at 39 3.1 38 */
  if((ch_i = REF(38).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(39).value,ch_i);
  REF(39).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 27 3.1 38 */
  if ((ch_returncode = remove_at_func(DEF(27),DEF(3)DOT(1),
    REF(38).value.integer)) != Normal) goto ch_raise_exception;
/* new_table 40 , 4 */
  if ((ch_returncode = che_new_table(DEF(40),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* unite 27.2 40 , 11 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(40),sched,11)) != Normal)
     goto ch_raise_exception;
/* copy 41 21.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(21)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_table;
/* initget 42 41 , 0,0 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(42),DEF(41),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c165:
/* get_or_goto 42 41 , 170 */
  if ((ch_returncode = get_selected_object(DEF(42),DEF(41),sched)) != Normal)
     goto c170;
/* find 43 4 42 , 0 */
  if (findfunc(DEF(43),DEF(4),(
          arguments[0] = DEF(42),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 44 43.1 */
  if((ch_returncode = (REF(43)DOT(1).tsdr->copy)(& ch_val, REF(43)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val;
  REF(44).tsdr = datarepmap[REF(43)DOT(1).tsdr->number];
/* insert 27.2.0 44 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2)DOT(0),DEF(44)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 165 */
   goto c165;
c170:
/* endget 42 41 */
  end_selector(DEF(42),DEF(41),sched,GET);
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 25 21.0.1 , 274 */
  if ( eq_nominal(REF(25).value,REF(21)DOT(0)DOT(1).value) ) goto c274;
/* copy 27 17 */
  if((ch_returncode = cp_record(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* find 45 4 21.0.1 , 0 */
  if (findfunc(DEF(45),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 46 45.1 */
  if((ch_returncode = (REF(45)DOT(1).tsdr->copy)(& ch_val, REF(45)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val;
  REF(46).tsdr = datarepmap[REF(45)DOT(1).tsdr->number];
/* unite 27.2 46 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(46),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 274 */
   goto c274;
c183:
/* reveal 21 , 2 */
  if (2 != REF(21).value.variant->info.variant_case) goto ch_case_error;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* size 47 3.1 */
  REF(47).value.integer = REF(3)DOT(1).value.table->size;
  REF(47).tsdr = & dr_integer;
/* isubtract 48 47 =(1) */
  if (!chf_isubtract(DEF(48),REF(47).value.integer,1)) goto ch_depletion;
/* lookup_at 49 3.1 48 */
  if((ch_i = REF(48).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(49).value,ch_i);
  REF(49).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 27 3.1 48 */
  if ((ch_returncode = remove_at_func(DEF(27),DEF(3)DOT(1),
    REF(48).value.integer)) != Normal) goto ch_raise_exception;
/* find 50 4 21.0.0 , 0 */
  if (findfunc(DEF(50),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* equal . 27.0 =(45) , 203 */
  if ( REF(27)DOT(0).value.enumeration == 45 ) goto c203;
/* equal . 27.0 =(70) , 206 */
  if ( REF(27)DOT(0).value.enumeration == 70 ) goto c206;
/* equal . 27.0 =(76) , 209 */
  if ( REF(27)DOT(0).value.enumeration == 76 ) goto c209;
/* equal . 27.0 =(72) , 212 */
  if ( REF(27)DOT(0).value.enumeration == 72 ) goto c212;
/* equal . 27.0 =(60) , 215 */
  if ( REF(27)DOT(0).value.enumeration == 60 ) goto c215;
/* branch , 218 */
   goto c218;
c203:
/* reveal 27.2 , 5 */
  if (5 != REF(27)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27.2.0.0 50.1 */
  if((ch_returncode = (REF(50)DOT(1).tsdr->copy)(& ch_val, REF(50)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27)DOT(2)DOT(0)DOT(0).tsdr)->finalize)(
    REF(27)DOT(2)DOT(0)DOT(0).value,F_DISCARD,sched);
  REF(27)DOT(2)DOT(0)DOT(0).value = ch_val;
  REF(27)DOT(2)DOT(0)DOT(0).tsdr = datarepmap[REF(50)DOT(1).tsdr->number];
/* branch , 220 */
   goto c220;
c206:
/* reveal 27.2 , 2 */
  if (2 != REF(27)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27.2.0 50.1 */
  if((ch_returncode = (REF(50)DOT(1).tsdr->copy)(& ch_val, REF(50)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27)DOT(2)DOT(0).tsdr)->finalize)(REF(27)DOT(2)DOT(0).value
    ,F_DISCARD,sched);
  REF(27)DOT(2)DOT(0).value = ch_val;
  REF(27)DOT(2)DOT(0).tsdr = datarepmap[REF(50)DOT(1).tsdr->number];
/* branch , 220 */
   goto c220;
c209:
/* reveal 27.2 , 2 */
  if (2 != REF(27)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27.2.0 50.1 */
  if((ch_returncode = (REF(50)DOT(1).tsdr->copy)(& ch_val, REF(50)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27)DOT(2)DOT(0).tsdr)->finalize)(REF(27)DOT(2)DOT(0).value
    ,F_DISCARD,sched);
  REF(27)DOT(2)DOT(0).value = ch_val;
  REF(27)DOT(2)DOT(0).tsdr = datarepmap[REF(50)DOT(1).tsdr->number];
/* branch , 220 */
   goto c220;
c212:
/* reveal 27.2 , 5 */
  if (5 != REF(27)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27.2.0.1 50.1 */
  if((ch_returncode = (REF(50)DOT(1).tsdr->copy)(& ch_val, REF(50)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27)DOT(2)DOT(0)DOT(1).tsdr)->finalize)(
    REF(27)DOT(2)DOT(0)DOT(1).value,F_DISCARD,sched);
  REF(27)DOT(2)DOT(0)DOT(1).value = ch_val;
  REF(27)DOT(2)DOT(0)DOT(1).tsdr = datarepmap[REF(50)DOT(1).tsdr->number];
/* branch , 220 */
   goto c220;
c215:
/* reveal 27.2 , 2 */
  if (2 != REF(27)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27.2.0 50.1 */
  if((ch_returncode = (REF(50)DOT(1).tsdr->copy)(& ch_val, REF(50)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27)DOT(2)DOT(0).tsdr)->finalize)(REF(27)DOT(2)DOT(0).value
    ,F_DISCARD,sched);
  REF(27)DOT(2)DOT(0).value = ch_val;
  REF(27)DOT(2)DOT(0).tsdr = datarepmap[REF(50)DOT(1).tsdr->number];
/* branch , 220 */
   goto c220;
c218:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c220:
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 25 21.0.1 , 274 */
  if ( eq_nominal(REF(25).value,REF(21)DOT(0)DOT(1).value) ) goto c274;
/* copy 27 17 */
  if((ch_returncode = cp_record(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* find 51 4 21.0.1 , 0 */
  if (findfunc(DEF(51),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 52 51.1 */
  if((ch_returncode = (REF(51)DOT(1).tsdr->copy)(& ch_val, REF(51)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = datarepmap[REF(51)DOT(1).tsdr->number];
/* unite 27.2 52 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(52),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 274 */
   goto c274;
c230:
/* reveal 21 , 1 */
  if (1 != REF(21).value.variant->info.variant_case) goto ch_case_error;
/* privatize 3.1 */
  if (REF(3)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1))) != Normal)
       goto ch_raise_exception;
/* size 53 3.1 */
  REF(53).value.integer = REF(3)DOT(1).value.table->size;
  REF(53).tsdr = & dr_integer;
/* isubtract 54 53 =(1) */
  if (!chf_isubtract(DEF(54),REF(53).value.integer,1)) goto ch_depletion;
/* lookup_at 55 3.1 54 */
  if((ch_i = REF(54).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(55).value,ch_i);
  REF(55).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 27 3.1 54 */
  if ((ch_returncode = remove_at_func(DEF(27),DEF(3)DOT(1),
    REF(54).value.integer)) != Normal) goto ch_raise_exception;
/* notequal . 25 21.0.0 , 246 */
  if ( !eq_nominal(REF(25).value,REF(21)DOT(0)DOT(0).value) ) goto c246;
/* enum_lit 27.0 , 110 */
  REF(27)DOT(0).value.enumeration = 110;
  REF(27)DOT(0).tsdr = & dr_enumeration;
/* find 56 4 21.0.1 , 0 */
  if (findfunc(DEF(56),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 57 56.1 */
  if((ch_returncode = (REF(56)DOT(1).tsdr->copy)(& ch_val, REF(56)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = datarepmap[REF(56)DOT(1).tsdr->number];
/* unite 27.2 57 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(57),sched,2)) != Normal)
     goto ch_raise_exception;
/* copy 58 21.0.0 */
  if((ch_returncode = cp_nominal(& ch_val, REF(21)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val;
  REF(58).tsdr = & dr_nominal;
/* branch , 253 */
   goto c253;
c246:
/* enum_lit 27.0 , 111 */
  REF(27)DOT(0).value.enumeration = 111;
  REF(27)DOT(0).tsdr = & dr_enumeration;
/* find 59 4 21.0.0 , 0 */
  if (findfunc(DEF(59),DEF(4),(
          arguments[0] = DEF(21)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 60 59.1 */
  if((ch_returncode = (REF(59)DOT(1).tsdr->copy)(& ch_val, REF(59)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(59)DOT(1).tsdr->number];
/* unite 27.2 60 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(60),sched,2)) != Normal)
     goto ch_raise_exception;
/* copy 58 21.0.1 */
  if((ch_returncode = cp_nominal(& ch_val, REF(21)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val;
  REF(58).tsdr = & dr_nominal;
c253:
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 58 25 , 274 */
  if ( eq_nominal(REF(58).value,REF(25).value) ) goto c274;
/* copy 27 17 */
  if((ch_returncode = cp_record(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* find 61 4 58 , 0 */
  if (findfunc(DEF(61),DEF(4),(
          arguments[0] = DEF(58),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 62 61.1 */
  if((ch_returncode = (REF(61)DOT(1).tsdr->copy)(& ch_val, REF(61)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val;
  REF(62).tsdr = datarepmap[REF(61)DOT(1).tsdr->number];
/* unite 27.2 62 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(62),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 274 */
   goto c274;
c263:
/* reveal 21 , 0 */
  if (0 != REF(21).value.variant->info.variant_case) goto ch_case_error;
/* equal . 25 21.0 , 274 */
  if ( eq_nominal(REF(25).value,REF(21)DOT(0).value) ) goto c274;
/* copy 27 17 */
  if((ch_returncode = cp_record(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* find 63 4 21.0 , 0 */
  if (findfunc(DEF(63),DEF(4),(
          arguments[0] = DEF(21)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 64 63.1 */
  if((ch_returncode = (REF(63)DOT(1).tsdr->copy)(& ch_val, REF(63)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).value = ch_val;
  REF(64).tsdr = datarepmap[REF(63)DOT(1).tsdr->number];
/* unite 27.2 64 , 2 */
  if ((ch_returncode = che_unite(DEF(27)DOT(2),DEF(64),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1 27 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 274 */
   goto c274;
c273:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c274:
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* equal . 25 22 , 283 */
  if ( eq_nominal(REF(25).value,REF(22).value) ) goto c283;
/* privatize 3.0.0 */
  if (REF(3)DOT(0)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(0)DOT(0))) != Normal)
       goto ch_raise_exception;
/* find 65 3.0.0 25 , 0 */
  if (findfunc(DEF(65),DEF(3)DOT(0)DOT(0),(
          arguments[0] = DEF(25),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 66 65 3.0.0 , 0 */
  if ((ch_returncode = removefunc(DEF(66),DEF(65),DEF(3)DOT(0)DOT(0),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* merge 3.1 66.1 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(1),DEF(66)DOT(1)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* move 21 66.2 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21) = REF(66)DOT(2);
  REF(66)DOT(2).tsdr = & dr_bottom;
c283:
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* branch , 105 */
   goto c105;
c285:
/* endget 25 24 */
  end_selector(DEF(25),DEF(24),sched,GET);
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 302 */
   goto c302;
c291:
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 3.1 */
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1).tsdr = & dr_bottom;
/* chs_lit 67 , "CantHappen exit taken in bbassemble" */
  if( !chs_lit(DEF(67),"CantHappen exit taken in bbassemble") )
     goto ch_depletion;
/* print 67 */
  re_print(stderr, 0, DEF(67)); fflush(stderr);
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
c302:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c311:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
